package org.rollproject.rvrp.model.problem;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlType;

@XmlType(namespace="org.rollproject.rvrp.model.problem", name = "listelement", propOrder = {"value", "fromCompanyIndex", "toCompanyIndex" })
public class ListElement implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private double value;
	private int fromCompanyIndex;
	private int toCompanyIndex;
	
	public ListElement(){
		
	}
	
	public ListElement(int x, int y) {
		fromCompanyIndex = x;
		toCompanyIndex = y;
	}

	public double getValue() {		
		return value;
	}

	public void setValue(double value) {
		this.value = value;
	}

	public int getFromCompanyIndex() {		
		return fromCompanyIndex;
	}

	public void setFromCompanyIndex(int fromCompanyIndex) {
		this.fromCompanyIndex = fromCompanyIndex;
	}

	public int getToCompanyIndex() {		
		return toCompanyIndex;
	}

	public void setToCompanyIndex(int toCompanyIndex) {
		this.toCompanyIndex = toCompanyIndex;
	}
	
	@Override
	public String toString() {		
		return getFromCompanyIndex() + ", " + getToCompanyIndex() + " = " + getValue();
	}
}
