package org.rollproject.rvrp.model.problem;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;



@XmlType(namespace="org.rollproject.rvrp.model.problem", name="compartment",propOrder={"ID", "maximumPallets", "compartmentType"})
public class Compartment implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public static int id = 0;
	private int ID;
	private int maximumPallets;
//	private int maximumLoad;
	private CompartmentType compartmentType;	
	public Compartment() {
		id++;
		ID = id;
	}	

	public int getID() {		
		return ID;
	}

	public void setID(int id) {
		ID = id;
	}

	public int getMaximumPallets() {		
		return maximumPallets;
	}

	public void setMaximumPallets(int maximumPallets) {
		this.maximumPallets = maximumPallets;
	}

//	public int getMaximumLoad() {		
//		return maximumLoad;
//	}
//
//	public void setMaximumLoad(int maximumLoad) {
//		this.maximumLoad = maximumLoad;
//	}

	
	public CompartmentType getCompartmentType() {
		return compartmentType;
	}

	public void setCompartmentType(CompartmentType compartmentType) {
		this.compartmentType = compartmentType;
	}


	@Override
	public String toString() {	
		String str = compartmentType.name() + ", " + maximumPallets;
		return str;
	}
	
}
